package com.gic.haoban.manage.api.dto.content.log;

import java.io.Serializable;

/**
 * @Author MUSI
 * @Date 2023/3/18 8:23 PM
 * @Description
 * @Version
 **/
public class ClerkShareMaterialLogDTO implements Serializable {

    private static final long serialVersionUID = 57985108148863697L;

    /**
     * 企业id
     */
    private String enterpriseId;


    /**
     * 微信企业id
     */
    private String wxEnterpriseId;

    /**
     * 导购id
     */
    private String clerkId;

    /**
     * 成员id
     */
    private String staffId;

    /**
     * 素材分享类型
     * @see com.gic.haoban.manage.api.enums.content.ClerkShareMaterialType
     */
    private Integer shareType;

    /**
     * 业务id
     */
    private String bizId;

    /**
     * 业务类型
     * @see com.gic.haoban.manage.api.enums.content.ShareBizType
     */
    private Integer bizType;

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public Integer getShareType() {
        return shareType;
    }

    public void setShareType(Integer shareType) {
        this.shareType = shareType;
    }

    public String getBizId() {
        return bizId;
    }

    public void setBizId(String bizId) {
        this.bizId = bizId;
    }

    public Integer getBizType() {
        return bizType;
    }

    public void setBizType(Integer bizType) {
        this.bizType = bizType;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }
}
